#include<bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    
    long long n,m;
    
    cin >> n;
    cin >> m;
    
    if(m==1 || n==1)
    {
        cout << max(n,m) << endl;
    } 

    cout << n*m-((n-2)*(m-2)+1)/2 << endl;

    return 0;
}